<?php
/**
 * テンプレート用Utility
 *
 * @package     Template
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Template_Util
{
    /** テンプレートタイプ：シングルタイプ */
    const TYPE_SINGLE_NAME = 'シングルタイプ';
    /** テンプレートタイプ：マルチタイプ */
    const TYPE_MULTI_NAME = 'マルチタイプ';
    /** テンプレートタイプ：サブタイプ */
    const TYPE_SUB_NAME = 'サブタイプ';

    /**
     * テンプレートタイプ名を返す
     * @param string $template_type テンプレートタイプ
     * @return string テンプレートタイプ名
     */
    static public function get_template_type_name($template_type)
    {
        switch ($template_type) {
            case Template_Logic::TYPE_SINGLE :
                return self::TYPE_SINGLE_NAME;
                break;

            case Template_Logic::TYPE_MULTI :
                return self::TYPE_MULTI_NAME;
                break;

            case Template_Logic::TYPE_SUB :
                return self::TYPE_SUB_NAME;
                break;

            default:
                return '';
                break;
        }
    }

    /**
     * テンプレートタイプ名をセットする
     * @param Template_Form $form
     */
    static public function set_template_type_name(Template_Form $form)
    {
        $form->template_type_name = self::get_template_type_name($form->template_type);
    }
}