<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title><?php h::p($page_title) ?> - MicroEngine</title>
<script src="../../app/assets/js/me.template.js?v=<?php h::p(SCRIPT_VERSION) ?>"></script>
<script>
<!--
$(document).ready(function(){
    me.resize.resizeBox('source_code');
    $(window).bind('resize', function(){
        me.resize.resizeBox('source_code');
        me.resize.resizeBox('preview_iframe');
    });
    me.form.init();
    if ($('#error_message').length > 0) {
        me.template.openSetting();
    } else {
        me.template.closeSetting();
    }
    me.template.changeTemplateType();
    $('#search_word').bind('keyup', function(e){
        me.template.searchKeyup(this, e);
    });
    $('#source_code').bind('keydown', function(e){
        return me.template.keydown(this, e);
    });
});
//-->
</script>
</head>
<body>
<?php h::error($form->errors["MESSAGE"]) ?>
<div class="navbar">
<div class="navbar-inner header">
<span class="brand"><?php h::p($page_title) ?></span>
<ul class="nav">
<li>
<button id="open_template_setting" type="button" class="btn btn-small" onclick="me.template.openSetting();"><i class="icon-chevron-down"></i> 設定を開く</button>
<button id="close_template_setting" type="button" class="btn btn-small hide" onclick="me.template.closeSetting();"><i class="icon-chevron-up"></i> 設定を閉じる</button>
</li>
</ul>
<ul class="nav pull-right">
<li><a href="<?php h::p(MANUAL_BASE_URL) ?>template_edit.html" target="_blank"><i class="icon-question-sign"></i> ヘルプ</a></li>
</ul>
</div>
</div>
<form method="POST" name="template_form" id="template_form" class="form-search" action="../Template/post" onsubmit="me.form.noUnload();">

<table id="setting_table" class="table setting_table">
<tr>
<th class="span3">テンプレートパス</th>
<td colspan="3"><?php h::p($form->template_path) ?></td>
</tr>
<tr class="template_setting">
<th>テンプレートタイプ</th>
<td colspan="3">
<label class="radio"><input type="radio" id="template_type_single" name="template_type" value="single" <?php h::radio($form->template_type, 'single') ?> onchange="me.template.changeTemplateType();">シングルタイプ</label>
<label class="radio"><input type="radio" id="template_type_multi" name="template_type" value="multi" <?php h::radio($form->template_type, 'multi') ?> onchange="me.template.changeTemplateType();">マルチタイプ</label>
<label class="radio"><input type="radio" id="template_type_sub" name="template_type" value="sub" <?php h::radio($form->template_type, 'sub') ?> onchange="me.template.changeTemplateType();">サブタイプ</label>
<?php h::error( $form->errors["template_type"]) ?>
</td>
</tr>
<tr class="template_setting sub_template_setting">
<th>メインテンプレートID</th>
<td colspan="3">
<input type="text" id="main_template" name="main_template" class="input-mini" maxlength="50" value="<?php h::p( $form->main_template) ?>"><br>
<?php h::error( $form->errors["main_template"]) ?>
</td>
</tr>
<tr class="template_setting sub_template_setting">
<th>表示条件</th>
<td colspan="3">
<select id="cond" name="cond">
<option value="">--</option>
<?php foreach($cond_list as $cond_name): ?>
<option value="<?php h::p($cond_name) ?>" <?php h::select($form->cond, $cond_name) ?>><?php h::p($cond_name) ?></option>
<?php endforeach; ?>
</select>
<?php h::error( $form->errors["cond"]) ?>
</td>
</tr>
<tr class="template_setting">
<th>配信方式</th>
<td colspan="3">
<label class="radio"><input type="radio" id="output_method_static" name="output_method" value="static" <?php h::radio($form->output_method, 'static') ?> >静的</label>
<label class="radio"><input type="radio" id="output_method_dynamic" name="output_method" value="dynamic" <?php h::radio($form->output_method, 'dynamic') ?> >動的</label>
<?php h::error( $form->errors["output_method"]) ?>
</td>
</tr>
<tr class="template_setting">
<th>文字コード <span class="label label-important">※必須</span></th>
<td colspan="3">
<input type="text" id="char_code" name="char_code" maxlength="50" value="<?php h::p( $form->char_code) ?>"><br>
<?php h::error( $form->errors["char_code"]) ?>
</td>
</tr>
<tr class="template_setting">
<th>テンプレートID</th>
<td class="span3"><?php h::p($form->_id) ?></td>
<th>備考</th>
<td>
<input type="text" id="note" name="note" class="input-xlarge" maxlength="50" value="<?php h::p( $form->note) ?>">
<?php h::error( $form->errors["note"]) ?>
</td>
</tr>
<tr class="template_setting">
<th>操作</th>
<td colspan="3">
<?php if ($form->_id): ?>
<a href="#modal_delete" role="button" class="btn btn-small btn-danger" data-toggle="modal">テンプレート削除</a> 
<div class="modal hide fade" id="modal_delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
<h3 id="myModalLabel">テンプレート削除確認</h3>
</div>
<div class="modal-body">
<p>テンプレートを削除しますか？</p>
</div>
<div class="modal-footer">
<button class="btn" data-dismiss="modal" aria-hidden="true">キャンセル</button>
<button class="btn btn-danger" onclick="me.template.deleteTemplate();return false;">削除する</button>
</div>
</div>
<?php endif; ?>
</td>
</tr>
</table>

<ul class="nav nav-tabs template_tab">
<li class="active"><a href="#" id="source_code_tab" onclick="me.template.selectSourceCode();" data-toggle="tab">ソースコード</a></li>
<li><a href="#" onclick="me.template.selectPreview();" data-toggle="tab">インスペクタ</a></li>
</ul>

<div class="row-fluid tag_handle">
<div class="span1"><span class="label tag_handle_label">MEタグ生成</span></div>
<div class="span8 tab_button">
<input type="button" class="btn btn-mini" value="テキスト" onclick="me.template.open('text');">
<input type="button" class="btn btn-mini" value="テキストエリア" onclick="me.template.open('textarea');">
<input type="button" class="btn btn-mini" value="プルダウンメニュー" onclick="me.template.open('select');">
<input type="button" class="btn btn-mini" value="リッチテキスト" onclick="me.template.open('rich');">
<input type="button" class="btn btn-mini" value="日付" onclick="me.template.open('date');">
<input type="button" class="btn btn-mini" value="画像" onclick="me.template.open('img');">
<input type="button" class="btn btn-mini" value="ファイル" onclick="me.template.open('file');">
<input type="button" class="btn btn-mini" value="ソース" onclick="me.template.open('source');">
<input type="button" class="btn btn-mini" value="属性" onclick="me.template.open('attr');">
<input type="button" class="btn btn-mini" value="リピート" onclick="me.template.open('repeat');">
<input type="button" class="btn btn-mini" value="削除" onclick="me.template.open('delete');">
<input type="button" class="btn btn-mini" value="ディスプレイ" onclick="me.template.open('display');">
<input type="button" class="btn btn-mini" value="モジュール" onclick="me.template.open('module');">
<input type="button" class="btn btn-mini" value="インクルード" onclick="me.template.open('include');">    
</div>
<div class="pull-right input-append span3">
<input type="text" id="search_word" class="search-query input-medium">
<input type="button" class="btn" value="検索" onclick="me.template.search();return false;">
</div>
</div>

<div>
<textarea id="source_code" name="source_code" class="source_code" cols="50" rows="10"><?php h::p($form->source_code) ?></textarea>
<iframe id="preview_iframe" name="preview_iframe" class="preview_iframe hide" src="../Main/empty_page" onload="me.template.onloadIframe();"></iframe>
</div>

<div class="footer_action">
<div class="container">
<div id="page_action" class="page_action offset2">
<input type="button" id="back_link" class="btn" value="キャンセル" onclick="location.href='../Main/index?path=<?php h::p($form->page_path) ?>';return false;">
<input type="button" class="btn btn-primary" value="登録" onclick="me.template.submit();">
<label class="radio" title="テンプレートの登録のみを行う。"><input type="radio" id="option_no" name="ragister_option" value="" <?php h::radio($form->ragister_option, '') ?> >オプションなし</label>
<label class="radio" title="MEタグ内側のデータを初期値としてページを編集する。"><input type="radio" id="option_migrate" name="ragister_option" value="migrate" <?php h::radio($form->ragister_option, 'migrate') ?> >データ移行</label>
<label class="radio" title="関連するページを書き出す。"><input type="radio" id="option_write" name="ragister_option" value="write" <?php h::radio($form->ragister_option, 'write') ?> >ページ書き出し</label>
</div>
</div>
</div>

<input type="hidden" id="template_id" name="template_id" value="<?php h::p($form->_id) ?>">
<input type="hidden" id="_form_id" name="_form_id" value="<?php h::p($_form_id) ?>">
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
</form>
</body>
</html>